﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace MultiSfNavigation
{
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();
            navigationDrawer.Toggled += NavigationDrawer_Toggled;
            navigationDrawer.Closing += NavigationDrawer_Closing;
            List<string> list = new List<string>();
            list.Add("SfAutoComplete");
            list.Add("SfBusyIndicator");
            list.Add("SfComboBox");
            list.Add("SfPicker");
            list.Add("SfNavigationDrawer");
            list.Add("SfRotator");
            listView.ItemsSource = list;

            List<string> list1 = new List<string>();
            list1.Add("Dashboard Platform");
            list1.Add("Dashboard cloud");
            list1.Add("BigData Platform");
            list1.Add("Report Platform");
            list1.Add("Data Integration Platform");
            listView1.ItemsSource = list1;
        }

        private void NavigationDrawer_Closing(object sender, Syncfusion.SfNavigationDrawer.XForms.CancelEventArgs e)
        {
         if (e.IsSecondaryDrawer)
            {

            }
        }

        private void NavigationDrawer_Toggled(object sender, Syncfusion.SfNavigationDrawer.XForms.ToggledEventArgs e)
        {
            if (e != null)
            {
                bool drawerState = e.isOpen;
                if (e.IsSecondaryDrawer)
                {
                    if (!drawerState)
                    { }
                }
            }
        }


        void Handle_Clicked(object sender, System.EventArgs e)
        {
            navigationDrawer.ToggleDrawer();
        }

        void Handle_Clicked_1(object sender, System.EventArgs e)
        {
            navigationDrawer.ToggleSecondaryDrawer();
        }

        void Handle_ItemSelected(object sender, Xamarin.Forms.SelectedItemChangedEventArgs e)
        {
            navigationDrawer.ToggleSecondaryDrawer();
        }

        void hamburgerButton_Clicked(object sender, EventArgs e)
        {
            navigationDrawer.ToggleDrawer();
        }

        private void listView_ItemSelected(object sender, SelectedItemChangedEventArgs e)
        {
            // Your codes here
            navigationDrawer.ToggleDrawer();
        }
    }
}